API referenceOrders
Read order
GET
{id} accepts the UUID or the order number (ORD-YYYY-NNNNNN).
ApiKeyheader
X-API-Key<token>prx_live_<40 base62>
id*stringUUID or order number.
OK
application/json- response
data*message*stringHuman-readable status, safe to show to end users.
curl -X GET "https://example.com/v1/orders/string"{ "data": { "activated_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "credit_after_cents": 0, "credit_before_cents": 0, "discount_cents": 0, "failure_reason": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "items": [ { "bytes": 0, "gb": 0, "price_per_gb_cents": 0, "product_code": "residential_gb", "total_cents": 0 } ], "number": "ORD-2026-000123", "promo_code": "string", "status": "paid", "subtotal_cents": 0, "total_cents": 0, "valid_until": "2019-08-24T14:15:22Z" }, "message": "OK"}